PAM_SETENV(3) | Library Functions Manual | PAM_SETENV(3)

# NAME

`pam_setenv` —
mirrors setenv(3)

# SYNOPSIS

`#include <sys/types.h>`
`#include <security/pam_appl.h>`

int
`pam_setenv`(pam_handle_t *pamh, const char *name, const char *value, int overwrite);

# DESCRIPTION

The `pam_setenv`() function sets an environment variable. Its semantics are similar to those of setenv(3), but it modifies the PAM context's environment list instead of the application's.

# RETURN VALUES

The `pam_setenv`() function returns one of the following values:

[`PAM_SUCCESS`]
  Success.
[`PAM_BUF_ERR`]
  Memory buffer error.
[`PAM_SYSTEM_ERR`]
  System error.

# SEE ALSO

pam(3), pam_getenv(3), pam_getenvlist(3), pam_putenv(3), pam_strerror(3), setenv(3)

# STANDARDS

The `pam_setenv`() function is an OpenPAM extension.

# AUTHORS

The `pam_setenv`() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

April 30, 2017 | NetBSD 9.5